Package org.eclipse.birt.chart.model.attribute

# Interface LineAttributes

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `LineAttributesImpl`

public interface LineAttributes extends IChartObject
A representation of the model object 'Line Attributes'. LineAttributes represents a holder of all settings for rendering a line in the chart graphic.

The following features are supported:

- `Style`
- `Thickness`
- `Color`
- `Visible`

See Also:
  - `AttributePackage.getLineAttributes()`

## Method Summary

Modifier and Type
Method
Description
`LineAttributes`
`copyInstance()`
`ColorDefinition`
`getColor()`
Returns the value of the 'Color' containment reference.
`LineStyle`
`getStyle()`
Returns the value of the 'Style' attribute.
`int`
`getThickness()`
Returns the value of the 'Thickness' attribute.
`boolean`
`isSetStyle()`
Returns whether the value of the ' `Style`' attribute is set.
`boolean`
`isSetThickness()`
Returns whether the value of the '`Thickness`' attribute is set.
`boolean`
`isSetVisible()`
Returns whether the value of the ' `Visible`' attribute is set.
`boolean`
`isVisible()`
Returns the value of the 'Visible' attribute.
`void`
`setColor(ColorDefinition value)`
Sets the value of the '`Color`' containment reference.
`void`
`setStyle(LineStyle value)`
Sets the value of the '`Style`' attribute.
`void`
`setThickness(int value)`
Sets the value of the ' `Thickness`' attribute.
`void`
`setVisible(boolean value)`
Sets the value of the '`Visible`' attribute.
`void`
`unsetStyle()`
Unsets the value of the '`Style`' attribute.
`void`
`unsetThickness()`
Unsets the value of the ' `Thickness`' attribute.
`void`
`unsetVisible()`
Unsets the value of the ' `Visible`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getStyle

LineStyle getStyle()
Returns the value of the 'Style' attribute. The default value is `"Solid"`. The literals are from the enumeration `LineStyle`. Gets the line style. Holds the line style.

Returns:
  the value of the 'Style' attribute.
See Also:
  - `LineStyle`
  - `isSetStyle()`
  - `unsetStyle()`
  - `setStyle(LineStyle)`
  - `AttributePackage.getLineAttributes_Style()`

### setStyle

void setStyle(LineStyle value)
Sets the value of the '`Style`' attribute. Sets the line style.

Parameters:
  `value` - the new value of the 'Style' attribute.
See Also:
  - `LineStyle`
  - `isSetStyle()`
  - `unsetStyle()`
  - `getStyle()`

### unsetStyle

void unsetStyle()
Unsets the value of the '`Style`' attribute.

See Also:
  - `isSetStyle()`
  - `getStyle()`
  - `setStyle(LineStyle)`

### isSetStyle

boolean isSetStyle()
Returns whether the value of the ' `Style`' attribute is set.

Returns:
  whether the value of the 'Style' attribute is set.
See Also:
  - `unsetStyle()`
  - `getStyle()`
  - `setStyle(LineStyle)`

### getThickness

int getThickness()
Returns the value of the 'Thickness' attribute. Gets the thickness of the line. Holds the thickness of the line.

Returns:
  the value of the 'Thickness' attribute.
See Also:
  - `isSetThickness()`
  - `unsetThickness()`
  - `setThickness(int)`
  - `AttributePackage.getLineAttributes_Thickness()`

### setThickness

void setThickness(int value)
Sets the value of the ' `Thickness`' attribute. Sets the thickness of the line.

Parameters:
  `value` - the new value of the 'Thickness' attribute.
See Also:
  - `isSetThickness()`
  - `unsetThickness()`
  - `getThickness()`

### unsetThickness

void unsetThickness()
Unsets the value of the ' `Thickness`' attribute.

See Also:
  - `isSetThickness()`
  - `getThickness()`
  - `setThickness(int)`

### isSetThickness

boolean isSetThickness()
Returns whether the value of the '`Thickness`' attribute is set.

Returns:
  whether the value of the 'Thickness' attribute is set.
See Also:
  - `unsetThickness()`
  - `getThickness()`
  - `setThickness(int)`

### getColor

ColorDefinition getColor()
Returns the value of the 'Color' containment reference. Gets the line color. Holds the line color.

Returns:
  the value of the 'Color' containment reference.
See Also:
  - `setColor(ColorDefinition)`
  - `AttributePackage.getLineAttributes_Color()`

### setColor

void setColor(ColorDefinition value)
Sets the value of the '`Color`' containment reference. Sets the line color.

Parameters:
  `value` - the new value of the 'Color' containment reference.
See Also:
  - `getColor()`

### isVisible

boolean isVisible()
Returns the value of the 'Visible' attribute. Gets whether or not the line is to be rendered. Specifies whether or not the line is to be rendered.

Returns:
  the value of the 'Visible' attribute.
See Also:
  - `isSetVisible()`
  - `unsetVisible()`
  - `setVisible(boolean)`
  - `AttributePackage.getLineAttributes_Visible()`

### setVisible

void setVisible(boolean value)
Sets the value of the '`Visible`' attribute. Specifies whether or not the line is to be rendered.

Parameters:
  `value` - the new value of the 'Visible' attribute.
See Also:
  - `isSetVisible()`
  - `unsetVisible()`
  - `isVisible()`

### unsetVisible

void unsetVisible()
Unsets the value of the ' `Visible`' attribute.

See Also:
  - `isSetVisible()`
  - `isVisible()`
  - `setVisible(boolean)`

### isSetVisible

boolean isSetVisible()
Returns whether the value of the ' `Visible`' attribute is set.

Returns:
  whether the value of the 'Visible' attribute is set.
See Also:
  - `unsetVisible()`
  - `isVisible()`
  - `setVisible(boolean)`

### copyInstance

LineAttributes copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`